### Function

# GLib Array set_size

#### Declaration [src]

    GArray*
    g_array_set_size (
      GArray* array,
      guint length
    )

#### Description [src]

Sets the size of the array, expanding it if necessary. If the array was created with `clear_` set to true, the new elements are set to 0.

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  An array.

  The data is owned by the caller of the function.

`length`

  Type: `guint`

  The new size of the `GArray`.

#### Return value

Type: An array of `gpointer`

The `GArray`.

The data is owned by the called function.